aboutsummaryrefslogtreecommitdiff
path: root/test/sun/security/krb5
diff options
context:
space:
mode:
authorweijun <none@none>2013-09-09 11:08:20 +0800
committerweijun <none@none>2013-09-09 11:08:20 +0800
commitafb9e4866fdc114bc6aa43409800f73515e8b63c (patch)
tree60ee87197a377a76117d0fa93cc85fdaea6b8079 /test/sun/security/krb5
parent3edaf0ed7cd2c645248fdabe3f2e5d0dc1adc630 (diff)
8024046: Test sun/security/krb5/runNameEquals.sh failed on 7u45 Embedded linux-ppc*
Reviewed-by: xuelei
Diffstat (limited to 'test/sun/security/krb5')
-rw-r--r--test/sun/security/krb5/runNameEquals.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/test/sun/security/krb5/runNameEquals.sh b/test/sun/security/krb5/runNameEquals.sh
index 6db90c353..b9cfb08d8 100644
--- a/test/sun/security/krb5/runNameEquals.sh
+++ b/test/sun/security/krb5/runNameEquals.sh
@@ -22,7 +22,7 @@
#
# @test
-# @bug 6317711 6944847
+# @bug 6317711 6944847 8024046
# @summary Ensure the GSSName has the correct impl which respects
# the contract for equals and hashCode across different configurations.
@@ -56,6 +56,15 @@ case "$OS" in
PATHSEP=":"
FILESEP="/"
NATIVE=true
+ # Not all *nix has native GSS libs installed
+ krb5-config --libs gssapi 2> /dev/null
+ if [ $? != 0 ]; then
+ # Fedora has a different path
+ /usr/kerberos/bin/krb5-config --libs gssapi 2> /dev/null
+ if [ $? != 0 ]; then
+ NATIVE=false
+ fi
+ fi
;;
CYGWIN* )
PATHSEP=";"